package com.rjconsultores.ventaboletos.relatorios.utilitarios;

import java.math.BigDecimal;
import java.util.Date;

@SuppressWarnings("rawtypes")
public class RelatorioBoletoBean implements Comparable {
	
	private String nombempresa;
	private String nombpuntoventa;
	private String numpuntoventa;
	private String nossonumero;
	private Date dtfechamento;
    private Date dtvencimento;
    private Date dtbaixa;
    private BigDecimal vrboleto;
    private BigDecimal vrfechamento; 
    private BigDecimal vrjuros;
    private BigDecimal vrpendente;
    private boolean quitado; 
    
    public String getNombempresa() {
		return nombempresa;
	}
	
    public void setNombempresa(String nombempresa) {
		this.nombempresa = nombempresa;
	}
	
    public String getNombpuntoventa() {
		return nombpuntoventa;
	}
	
    public void setNombpuntoventa(String nombpuntoventa) {
		this.nombpuntoventa = nombpuntoventa;
	}
	
    public String getNumpuntoventa() {
		return numpuntoventa;
	}
	
    public void setNumpuntoventa(String numpuntoventa) {
		this.numpuntoventa = numpuntoventa;
	}
	
    public String getNossonumero() {
		return nossonumero;
	}
	
    public void setNossonumero(String nossonumero) {
		this.nossonumero = nossonumero;
	}
	
    public Date getDtfechamento() {
		return dtfechamento;
	}
	
    public void setDtfechamento(Date dtfechamento) {
		this.dtfechamento = dtfechamento;
	}
	
    public Date getDtvencimento() {
		return dtvencimento;
	}
	
    public void setDtvencimento(Date dtvencimento) {
		this.dtvencimento = dtvencimento;
	}
	
    public Date getDtbaixa() {
		return dtbaixa;
	}
	
    public void setDtbaixa(Date dtbaixa) {
		this.dtbaixa = dtbaixa;
	}
	
    public BigDecimal getVrboleto() {
		return vrboleto;
	}
	
    public void setVrboleto(BigDecimal vrboleto) {
		this.vrboleto = vrboleto;
	}
	
    public BigDecimal getVrfechamento() {
		return vrfechamento;
	}
	
    public void setVrfechamento(BigDecimal vrfechamento) {
		this.vrfechamento = vrfechamento;
	}
	
    public BigDecimal getVrjuros() {
		return vrjuros;
	}
	
    public void setVrjuros(BigDecimal vrjuros) {
		this.vrjuros = vrjuros;
	}
	
    public boolean isQuitado() {
		return quitado;
	}
	
    public void setQuitado(boolean quitado) {
		this.quitado = quitado;
	}
	
	@Override
	public int compareTo(Object o) {
		if(o == null) {
			return 0;
		}
		
		RelatorioBoletoBean rdb = (RelatorioBoletoBean) o;
		
		if (this.nombempresa.compareTo(rdb.getNombempresa()) != 0) {
			return this.nombempresa.compareTo(rdb.getNombempresa());

		} else if (this.nombpuntoventa.compareTo(rdb.getNombpuntoventa()) != 0) {
			return this.nombpuntoventa.compareTo(rdb.getNombpuntoventa());

		} else if (this.dtfechamento.compareTo(rdb.getDtfechamento()) != 0) {
			return this.dtfechamento.compareTo(rdb.getDtfechamento());

		} 
		
		return 0;
	}

	public BigDecimal getVrpendente() {
		return vrpendente;
	}

	public void setVrpendente(BigDecimal vrpendente) {
		this.vrpendente = vrpendente;
	}	
	
}
